%global major   0
%define libname %mklibname slirp %major
%define devname %mklibname slirp -d

Name:           libslirp
Version:        4.8.0
Release:        %mkrel 1
Summary:        A general purpose TCP-IP emulator
Group:          Emulators

# check the SPDX tags in source files for details
License:        BSD and MIT
URL:            https://gitlab.freedesktop.org/slirp/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)

%description
A general purpose TCP-IP emulator used by virtual machine hypervisors
to provide virtual networking services.


%package        -n %libname
Summary:        A general purpose TCP-IP emulator
Group:          System/Libraries

%description    -n %libname
A general purpose TCP-IP emulator used by virtual machine hypervisors
to provide virtual networking services.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       slirp-devel = %{version}-%{release}

%description    -n %devname
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libslirp-v%{version}


%build
%meson
%meson_build


%install
%meson_install


%files -n %libname
%license COPYRIGHT
%doc README.md
%{_libdir}/%{name}.so.%{major}{,.*}


%files -n %devname
%dir %{_includedir}/slirp/
%{_includedir}/slirp/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/slirp.pc


%changelog
* Sun Dec 01 2024 daviddavid <daviddavid> 4.8.0-1.mga10
+ Revision: 2120368
- new version: 4.8.0

* Mon Mar 28 2022 joequant <joequant> 4.6.1-1.mga9
+ Revision: 1829676
- update to 4.6.1

* Thu Mar 17 2022 umeabot <umeabot> 4.4.0-3.mga9
+ Revision: 1796396
- Mageia 9 Mass Rebuild

* Tue Jul 06 2021 ns80 <ns80> 4.4.0-2.mga9
+ Revision: 1734963
- add patches from Fedora for CVE-2021-359[2-5] (mga#29219)

* Sun Jan 31 2021 joequant <joequant> 4.4.0-1.mga8
+ Revision: 1674267
- update to 4.4.0

* Fri Dec 25 2020 neoclust <neoclust> 4.3.1-2.mga8
+ Revision: 1663764
- Add P1 to fix CVE-2020-29129 and CVE-2020-29130

* Fri Jul 17 2020 daviddavid <daviddavid> 4.3.1-1.mga8
+ Revision: 1606694
- new version: 4.3.1, fixes CVE-2020-10756 (mga#26963)
- remove merged upstream patch

* Tue May 05 2020 daviddavid <daviddavid> 4.2.0-2.mga8
+ Revision: 1580253
- add patch to fix CVE-2020-1983 (mga#26588)

* Sun Apr 05 2020 tv <tv> 4.2.0-1.mga8
+ Revision: 1564924
- 4.2.0

* Wed Feb 19 2020 umeabot <umeabot> 4.1.0-2.mga8
+ Revision: 1543917
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1482372
- new version: 4.1.0, fixes CVE-2019-14378 (mga#25936)

* Mon Jul 01 2019 tv <tv> 4.0.0-1.mga8
+ Revision: 1416731
- imported package libslirp


* Wed May 22 2019 Marc-André Lureau <marcandre.lureau@redhat.com> - 4.0.0-1
- Initial package, rhbz#1712980
